/*
 * Copyright 2011 Nate Koenig & Andrew Howard
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/

#ifndef TEST_SCANS_CMP_H_
#define TEST_SCANS_CMP_H_

#ifdef __GNUC__
    #define MAYBE_UNUSED __attribute__((used))
#elif defined _MSC_VER
    #pragma warning(disable: Cxxxxx)
    #define MAYBE_UNUSED
#else
    #define MAYBE_UNUSED
#endif

static std::string pr2LinkStateLog =
"<?xml version='1.0'?>\n<gazebo_log>\n<header>\n<log_version>1.0</log_version>\n<gazebo_version>1.4.6</gazebo_version>\n<rand_seed>32606</rand_seed>\n</header>\n\n<chunk encoding='txt'><![CDATA[\n<sdf version ='1.3'>\n<world name='default'>\n  <model name='ground_plane'>\n    <static>1</static>\n    <link name='link'>\n      <collision name='collision'>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>100.000000</mu>\n              <mu2>50.000000</mu2>\n            </ode>\n          </friction>\n          <bounce/>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='visual'>\n        <cast_shadows>0</cast_shadows>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <material>\n          <script>\n            <uri>file://media/materials/scripts/gazebo.material</uri>\n            <name>Gazebo/Grey</name>\n          </script>\n        </material>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <self_collide>0</self_collide>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n  </model>\n  <light name='sun' type='directional'>\n    <cast_shadows>1</cast_shadows>\n    <pose>0.000000 0.000000 10.000000 0.000000 0.000000 0.000000</pose>\n    <diffuse>0.800000 0.800000 0.800000 1.000000</diffuse>\n    <specular>0.100000 0.100000 0.100000 1.000000</specular>\n    <attenuation>\n      <range>1000.000000</range>\n      <constant>0.900000</constant>\n      <linear>0.010000</linear>\n      <quadratic>0.001000</quadratic>\n    </attenuation>\n    <direction>-0.500000 0.500000 -1.000000</direction>\n  </light>\n  <model name='pr2'>\n    <static>0</static>\n    <link name='base_footprint'>\n      <self_collide>0</self_collide>\n      <inertial>\n        <mass>118.001000</mass>\n        <pose>-0.062421 0.000000 0.201365 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>8.431730</ixx>\n          <ixy>-0.009720</ixy>\n          <ixz>1.901570</ixz>\n          <iyy>8.533050</iyy>\n          <iyz>-0.007380</iyz>\n          <izz>3.787470</izz>\n        </inertia>\n      </inertial>\n      <collision name='base_footprint_geom'>\n        <pose>0.000000 0.000000 0.071000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_visual'>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_bellow_link'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_bellow_link_visual'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_link'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_link_visual'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='base_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>base_footprint_geom_base_link</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n        <plugin name='gazebo_contact' filename='libContactPlugin.so'/>\n      </sensor>\n      <sensor name='base_laser' type='ray'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>20.000000</update_rate>\n        <pose>0.275000 0.000000 0.303000 0.000000 0.000000 0.000000</pose>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-2.268900</min_angle>\n              <max_angle>2.268900</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n        <plugin name='laser' filename='libRayPlugin.so'/>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='torso_lift_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.050000 0.000000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>36.449000</mass>\n        <pose>-0.099499 -0.000004 -0.086764 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>2.792330</ixx>\n          <ixy>0.004280</ixy>\n          <ixz>-0.160631</ixz>\n          <iyy>2.521060</iyy>\n          <iyz>0.029689</iyz>\n          <izz>0.536551</izz>\n        </inertia>\n      </inertial>\n      <collision name='torso_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='torso_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='torso_lift_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>torso_lift_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_pan_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.067070 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.339000</mass>\n        <pose>0.010907 0.031693 0.090507 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.032498</ixx>\n          <ixy>0.000636</ixy>\n          <ixz>0.002585</ixz>\n          <iyy>0.046546</iyy>\n          <iyz>-0.002453</iyz>\n          <izz>0.057653</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_tilt_link'>\n      <projector name='projector_wg6802418_projector_wg6802418'>\n        <texture>stereo_projection_pattern_high_res_red.png</texture>\n        <fov>0.959931</fov>\n        <near_clip>0.100000</near_clip>\n        <far_clip>10.000000</far_clip>\n        <pose>0.023200 0.110000 0.119100 0.000000 -1.570793 0.000000</pose>\n      </projector>\n      <self_collide>0</self_collide>\n      <pose>0.000930 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>5.319000</mass>\n        <pose>-0.005151 -0.014635 0.072819 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.126134</ixx>\n          <ixy>0.000237</ixy>\n          <ixz>0.011881</ixz>\n          <iyy>0.165102</iyy>\n          <iyz>0.001606</iyz>\n          <izz>0.166947</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_tilt_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_ir_link'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_ir_link_visual'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_rgb_link'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_rgb_link_visual'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_link'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_link_visual'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/sensors/kinect_prosilica_v0/115x100_swept_back--coarse.STL</uri>\n            <scale>0.001000 0.001000 0.001000</scale>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_prosilica_link'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_prosilica_link_visual'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_plate_frame'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_plate_frame_visual'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <sensor name='head_mount_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.994838</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.010000</near>\n            <far>5.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sim_pcd_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='high_def_sensor' type='camera'>\n        <update_rate>20.000000</update_rate>\n        <pose>0.069657 -0.110000 0.119100 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>2448</width>\n            <height>2050</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='l_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210551 0.016309 -0.000561 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025306</ixx>\n          <ixy>-0.003393</ixy>\n          <ixz>0.000608</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000200</iyz>\n          <izz>0.086016</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_upper_arm_roll_link_geom_l_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_l_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_forearm_roll_link_geom_l_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_l_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 -1.570800 -0.562869 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='laser_tilt_mount_link'>\n      <self_collide>0</self_collide>\n      <pose>0.048930 0.000000 1.017680 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.592000</mass>\n        <pose>-0.001134 0.001667 -0.007067 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.001296</ixx>\n          <ixy>0.000023</ixy>\n          <ixz>0.000037</ixz>\n          <iyy>0.001086</iyy>\n          <iyz>0.000035</iyz>\n          <izz>0.000895</izz>\n        </inertia>\n      </inertial>\n      <collision name='laser_tilt_mount_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='laser_tilt_mount_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='laser_tilt' type='ray'>\n        <update_rate>40.000000</update_rate>\n        <pose>0.000000 0.000000 0.030000 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-1.396263</min_angle>\n              <max_angle>1.396263</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210482 -0.015945 -0.000197 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025378</ixx>\n          <ixy>0.003757</ixy>\n          <ixz>-0.000709</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000179</iyz>\n          <izz>0.086088</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_upper_arm_roll_link_geom_r_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_r_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_forearm_roll_link_geom_r_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_r_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 1.570800 -0.562869 -0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='torso_lift_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.150000 0.000000 0.751000 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.000000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <joint name='bl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>bl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_l_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_r_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>br_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_l_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_r_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_l_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_r_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fr_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_l_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_r_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_joint' type='prismatic'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.330000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>head_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>2.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.006993</lower>\n          <upper>3.006993</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_tilt_joint' type='revolute'>\n      <parent>head_pan_link</parent>\n      <child>head_tilt_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.471237</lower>\n          <upper>1.396260</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>l_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.714602</lower>\n          <upper>2.285404</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_lift_joint' type='revolute'>\n      <parent>l_shoulder_pan_link</parent>\n      <child>l_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_upper_arm_roll_joint' type='revolute'>\n      <parent>l_shoulder_lift_link</parent>\n      <child>l_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.800000</lower>\n          <upper>3.900008</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_elbow_flex_joint' type='revolute'>\n      <parent>l_upper_arm_roll_link</parent>\n      <child>l_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_forearm_roll_joint' type='revolute'>\n      <parent>l_elbow_flex_link</parent>\n      <child>l_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_flex_joint' type='revolute'>\n      <parent>l_forearm_roll_link</parent>\n      <child>l_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_roll_joint' type='revolute'>\n      <parent>l_wrist_flex_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_l_finger_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_slider_joint' type='prismatic'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_screw_joint' type='revolute'>\n      <parent>l_gripper_motor_slider_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_r_finger_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='laser_tilt_mount_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>laser_tilt_mount_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.008000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.785400</lower>\n          <upper>1.483530</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>r_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.285404</lower>\n          <upper>0.714602</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_lift_joint' type='revolute'>\n      <parent>r_shoulder_pan_link</parent>\n      <child>r_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_upper_arm_roll_joint' type='revolute'>\n      <parent>r_shoulder_lift_link</parent>\n      <child>r_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.900008</lower>\n          <upper>0.800000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_elbow_flex_joint' type='revolute'>\n      <parent>r_upper_arm_roll_link</parent>\n      <child>r_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_forearm_roll_joint' type='revolute'>\n      <parent>r_elbow_flex_link</parent>\n      <child>r_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_flex_joint' type='revolute'>\n      <parent>r_forearm_roll_link</parent>\n      <child>r_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_roll_joint' type='revolute'>\n      <parent>r_wrist_flex_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_l_finger_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_slider_joint' type='prismatic'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_screw_joint' type='revolute'>\n      <parent>r_gripper_motor_slider_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_r_finger_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_motor_screw_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_screw_torso_lift_joint' type='screw'>\n      <parent>torso_lift_link</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_screw_screw_joint' type='screw'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_screw_screw_joint' type='screw'>\n      <parent>r_gripper_l_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_joint' type='prismatic'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_screw_screw_joint' type='screw'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_screw_screw_joint' type='screw'>\n      <parent>l_gripper_l_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_joint' type='prismatic'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n  </model>\n  <physics type='ode'>\n    <update_rate>1000.000000</update_rate>\n    <gravity>0.000000 0.000000 -9.800000</gravity>\n  </physics>\n  <scene>\n    <ambient>0.200000 0.200000 0.200000 1.000000</ambient>\n    <background>0.700000 0.700000 0.700000 1.000000</background>\n    <shadows>1</shadows>\n  </scene>\n  <state world_name='default'>\n    <sim_time>0 0</sim_time>\n    <real_time>0 0</real_time>\n    <wall_time>1360301755 667456998</wall_time>\n  </state>\n</world>\n</sdf>]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 21343973</sim_time>\n<real_time>0 1000000</real_time>\n<wall_time>1360301758 939690376</wall_time>\n<model name='pr2'>\n<link name='r_upper_arm_roll_link'>\n<pose>0.000000 0.000000 0.000001 -0.000010 -0.000013 0.000000</pose>\n</link>\n</model>\n</sdf></state>\n]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 28958235</sim_time>\n<real_time>0 2000000</real_time>\n<wall_time>1360301758 947304437</wall_time>\n<model name='pr2'>\n<link name='r_upper_arm_roll_link'>\n<pose>0.000000 0.000000 0.000002 -0.000022 -0.000026 0.000000</pose>\n</link>\n</model>\n</sdf></state>\n]]></chunk>\n</gazebo_log>";

static std::string pr2PoseStateLog =
"<?xml version='1.0'?>\n<gazebo_log>\n<header>\n<log_version>1.0</log_version>\n<gazebo_version>1.4.6</gazebo_version>\n<rand_seed>32606</rand_seed>\n</header>\n\n<chunk encoding='txt'><![CDATA[\n<sdf version ='1.3'>\n<world name='default'>\n  <model name='ground_plane'>\n    <static>1</static>\n    <link name='link'>\n      <collision name='collision'>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>100.000000</mu>\n              <mu2>50.000000</mu2>\n            </ode>\n          </friction>\n          <bounce/>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='visual'>\n        <cast_shadows>0</cast_shadows>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <material>\n          <script>\n            <uri>file://media/materials/scripts/gazebo.material</uri>\n            <name>Gazebo/Grey</name>\n          </script>\n        </material>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <self_collide>0</self_collide>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n  </model>\n  <light name='sun' type='directional'>\n    <cast_shadows>1</cast_shadows>\n    <pose>0.000000 0.000000 10.000000 0.000000 0.000000 0.000000</pose>\n    <diffuse>0.800000 0.800000 0.800000 1.000000</diffuse>\n    <specular>0.100000 0.100000 0.100000 1.000000</specular>\n    <attenuation>\n      <range>1000.000000</range>\n      <constant>0.900000</constant>\n      <linear>0.010000</linear>\n      <quadratic>0.001000</quadratic>\n    </attenuation>\n    <direction>-0.500000 0.500000 -1.000000</direction>\n  </light>\n  <model name='pr2'>\n    <static>0</static>\n    <link name='base_footprint'>\n      <self_collide>0</self_collide>\n      <inertial>\n        <mass>118.001000</mass>\n        <pose>-0.062421 0.000000 0.201365 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>8.431730</ixx>\n          <ixy>-0.009720</ixy>\n          <ixz>1.901570</ixz>\n          <iyy>8.533050</iyy>\n          <iyz>-0.007380</iyz>\n          <izz>3.787470</izz>\n        </inertia>\n      </inertial>\n      <collision name='base_footprint_geom'>\n        <pose>0.000000 0.000000 0.071000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_visual'>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_bellow_link'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_bellow_link_visual'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_link'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_link_visual'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='base_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>base_footprint_geom_base_link</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n        <plugin name='gazebo_contact' filename='libContactPlugin.so'/>\n      </sensor>\n      <sensor name='base_laser' type='ray'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>20.000000</update_rate>\n        <pose>0.275000 0.000000 0.303000 0.000000 0.000000 0.000000</pose>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-2.268900</min_angle>\n              <max_angle>2.268900</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n        <plugin name='laser' filename='libRayPlugin.so'/>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='torso_lift_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.050000 0.000000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>36.449000</mass>\n        <pose>-0.099499 -0.000004 -0.086764 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>2.792330</ixx>\n          <ixy>0.004280</ixy>\n          <ixz>-0.160631</ixz>\n          <iyy>2.521060</iyy>\n          <iyz>0.029689</iyz>\n          <izz>0.536551</izz>\n        </inertia>\n      </inertial>\n      <collision name='torso_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='torso_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='torso_lift_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>torso_lift_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_pan_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.067070 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.339000</mass>\n        <pose>0.010907 0.031693 0.090507 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.032498</ixx>\n          <ixy>0.000636</ixy>\n          <ixz>0.002585</ixz>\n          <iyy>0.046546</iyy>\n          <iyz>-0.002453</iyz>\n          <izz>0.057653</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_tilt_link'>\n      <projector name='projector_wg6802418_projector_wg6802418'>\n        <texture>stereo_projection_pattern_high_res_red.png</texture>\n        <fov>0.959931</fov>\n        <near_clip>0.100000</near_clip>\n        <far_clip>10.000000</far_clip>\n        <pose>0.023200 0.110000 0.119100 0.000000 -1.570793 0.000000</pose>\n      </projector>\n      <self_collide>0</self_collide>\n      <pose>0.000930 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>5.319000</mass>\n        <pose>-0.005151 -0.014635 0.072819 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.126134</ixx>\n          <ixy>0.000237</ixy>\n          <ixz>0.011881</ixz>\n          <iyy>0.165102</iyy>\n          <iyz>0.001606</iyz>\n          <izz>0.166947</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_tilt_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_ir_link'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_ir_link_visual'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_rgb_link'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_rgb_link_visual'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_link'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_link_visual'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/sensors/kinect_prosilica_v0/115x100_swept_back--coarse.STL</uri>\n            <scale>0.001000 0.001000 0.001000</scale>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_prosilica_link'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_prosilica_link_visual'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_plate_frame'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_plate_frame_visual'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <sensor name='head_mount_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.994838</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.010000</near>\n            <far>5.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sim_pcd_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='high_def_sensor' type='camera'>\n        <update_rate>20.000000</update_rate>\n        <pose>0.069657 -0.110000 0.119100 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>2448</width>\n            <height>2050</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='l_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210551 0.016309 -0.000561 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025306</ixx>\n          <ixy>-0.003393</ixy>\n          <ixz>0.000608</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000200</iyz>\n          <izz>0.086016</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_upper_arm_roll_link_geom_l_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_l_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_forearm_roll_link_geom_l_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_l_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 -1.570800 -0.562869 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='laser_tilt_mount_link'>\n      <self_collide>0</self_collide>\n      <pose>0.048930 0.000000 1.017680 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.592000</mass>\n        <pose>-0.001134 0.001667 -0.007067 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.001296</ixx>\n          <ixy>0.000023</ixy>\n          <ixz>0.000037</ixz>\n          <iyy>0.001086</iyy>\n          <iyz>0.000035</iyz>\n          <izz>0.000895</izz>\n        </inertia>\n      </inertial>\n      <collision name='laser_tilt_mount_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='laser_tilt_mount_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='laser_tilt' type='ray'>\n        <update_rate>40.000000</update_rate>\n        <pose>0.000000 0.000000 0.030000 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-1.396263</min_angle>\n              <max_angle>1.396263</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210482 -0.015945 -0.000197 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025378</ixx>\n          <ixy>0.003757</ixy>\n          <ixz>-0.000709</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000179</iyz>\n          <izz>0.086088</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_upper_arm_roll_link_geom_r_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_r_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_forearm_roll_link_geom_r_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_r_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 1.570800 -0.562869 -0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='torso_lift_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.150000 0.000000 0.751000 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.000000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <joint name='bl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>bl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_l_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_r_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>br_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_l_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_r_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_l_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_r_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fr_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_l_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_r_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_joint' type='prismatic'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.330000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>head_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>2.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.006993</lower>\n          <upper>3.006993</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_tilt_joint' type='revolute'>\n      <parent>head_pan_link</parent>\n      <child>head_tilt_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.471237</lower>\n          <upper>1.396260</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>l_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.714602</lower>\n          <upper>2.285404</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_lift_joint' type='revolute'>\n      <parent>l_shoulder_pan_link</parent>\n      <child>l_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_upper_arm_roll_joint' type='revolute'>\n      <parent>l_shoulder_lift_link</parent>\n      <child>l_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.800000</lower>\n          <upper>3.900008</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_elbow_flex_joint' type='revolute'>\n      <parent>l_upper_arm_roll_link</parent>\n      <child>l_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_forearm_roll_joint' type='revolute'>\n      <parent>l_elbow_flex_link</parent>\n      <child>l_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_flex_joint' type='revolute'>\n      <parent>l_forearm_roll_link</parent>\n      <child>l_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_roll_joint' type='revolute'>\n      <parent>l_wrist_flex_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_l_finger_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_slider_joint' type='prismatic'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_screw_joint' type='revolute'>\n      <parent>l_gripper_motor_slider_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_r_finger_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='laser_tilt_mount_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>laser_tilt_mount_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.008000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.785400</lower>\n          <upper>1.483530</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>r_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.285404</lower>\n          <upper>0.714602</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_lift_joint' type='revolute'>\n      <parent>r_shoulder_pan_link</parent>\n      <child>r_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_upper_arm_roll_joint' type='revolute'>\n      <parent>r_shoulder_lift_link</parent>\n      <child>r_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.900008</lower>\n          <upper>0.800000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_elbow_flex_joint' type='revolute'>\n      <parent>r_upper_arm_roll_link</parent>\n      <child>r_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_forearm_roll_joint' type='revolute'>\n      <parent>r_elbow_flex_link</parent>\n      <child>r_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_flex_joint' type='revolute'>\n      <parent>r_forearm_roll_link</parent>\n      <child>r_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_roll_joint' type='revolute'>\n      <parent>r_wrist_flex_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_l_finger_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_slider_joint' type='prismatic'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_screw_joint' type='revolute'>\n      <parent>r_gripper_motor_slider_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_r_finger_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_motor_screw_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_screw_torso_lift_joint' type='screw'>\n      <parent>torso_lift_link</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_screw_screw_joint' type='screw'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_screw_screw_joint' type='screw'>\n      <parent>r_gripper_l_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_joint' type='prismatic'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_screw_screw_joint' type='screw'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_screw_screw_joint' type='screw'>\n      <parent>l_gripper_l_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_joint' type='prismatic'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n  </model>\n  <physics type='ode'>\n    <update_rate>1000.000000</update_rate>\n    <gravity>0.000000 0.000000 -9.800000</gravity>\n  </physics>\n  <scene>\n    <ambient>0.200000 0.200000 0.200000 1.000000</ambient>\n    <background>0.700000 0.700000 0.700000 1.000000</background>\n    <shadows>1</shadows>\n  </scene>\n  <state world_name='default'>\n    <sim_time>0 0</sim_time>\n    <real_time>0 0</real_time>\n    <wall_time>1360301755 667456998</wall_time>\n  </state>\n</world>\n</sdf>]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 21343973</sim_time>\n<real_time>0 1000000</real_time>\n<wall_time>1360301758 939690376</wall_time>\n<model name='pr2'>\n<pose>0.000000 0.000000 -0.000008 0.000000 0.000000 0.000000</pose>\n</model>\n</sdf></state>\n]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 28958235</sim_time>\n<real_time>0 2000000</real_time>\n<wall_time>1360301758 947304437</wall_time>\n<model name='pr2'>\n<pose>0.000000 0.000000 -0.000015 0.000000 -0.000001 0.000000</pose>\n</model>\n</sdf></state>\n]]></chunk>\n</gazebo_log>";

static std::string pr2PoseXStateLog =
"<?xml version='1.0'?>\n<gazebo_log>\n<header>\n<log_version>1.0</log_version>\n<gazebo_version>1.4.6</gazebo_version>\n<rand_seed>32606</rand_seed>\n</header>\n\n<chunk encoding='txt'><![CDATA[\n<sdf version ='1.3'>\n<world name='default'>\n  <model name='ground_plane'>\n    <static>1</static>\n    <link name='link'>\n      <collision name='collision'>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>100.000000</mu>\n              <mu2>50.000000</mu2>\n            </ode>\n          </friction>\n          <bounce/>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='visual'>\n        <cast_shadows>0</cast_shadows>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <material>\n          <script>\n            <uri>file://media/materials/scripts/gazebo.material</uri>\n            <name>Gazebo/Grey</name>\n          </script>\n        </material>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <self_collide>0</self_collide>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n  </model>\n  <light name='sun' type='directional'>\n    <cast_shadows>1</cast_shadows>\n    <pose>0.000000 0.000000 10.000000 0.000000 0.000000 0.000000</pose>\n    <diffuse>0.800000 0.800000 0.800000 1.000000</diffuse>\n    <specular>0.100000 0.100000 0.100000 1.000000</specular>\n    <attenuation>\n      <range>1000.000000</range>\n      <constant>0.900000</constant>\n      <linear>0.010000</linear>\n      <quadratic>0.001000</quadratic>\n    </attenuation>\n    <direction>-0.500000 0.500000 -1.000000</direction>\n  </light>\n  <model name='pr2'>\n    <static>0</static>\n    <link name='base_footprint'>\n      <self_collide>0</self_collide>\n      <inertial>\n        <mass>118.001000</mass>\n        <pose>-0.062421 0.000000 0.201365 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>8.431730</ixx>\n          <ixy>-0.009720</ixy>\n          <ixz>1.901570</ixz>\n          <iyy>8.533050</iyy>\n          <iyz>-0.007380</iyz>\n          <izz>3.787470</izz>\n        </inertia>\n      </inertial>\n      <collision name='base_footprint_geom'>\n        <pose>0.000000 0.000000 0.071000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_visual'>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_bellow_link'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_bellow_link_visual'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_link'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_link_visual'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='base_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>base_footprint_geom_base_link</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n        <plugin name='gazebo_contact' filename='libContactPlugin.so'/>\n      </sensor>\n      <sensor name='base_laser' type='ray'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>20.000000</update_rate>\n        <pose>0.275000 0.000000 0.303000 0.000000 0.000000 0.000000</pose>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-2.268900</min_angle>\n              <max_angle>2.268900</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n        <plugin name='laser' filename='libRayPlugin.so'/>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='torso_lift_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.050000 0.000000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>36.449000</mass>\n        <pose>-0.099499 -0.000004 -0.086764 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>2.792330</ixx>\n          <ixy>0.004280</ixy>\n          <ixz>-0.160631</ixz>\n          <iyy>2.521060</iyy>\n          <iyz>0.029689</iyz>\n          <izz>0.536551</izz>\n        </inertia>\n      </inertial>\n      <collision name='torso_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='torso_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='torso_lift_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>torso_lift_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_pan_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.067070 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.339000</mass>\n        <pose>0.010907 0.031693 0.090507 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.032498</ixx>\n          <ixy>0.000636</ixy>\n          <ixz>0.002585</ixz>\n          <iyy>0.046546</iyy>\n          <iyz>-0.002453</iyz>\n          <izz>0.057653</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_tilt_link'>\n      <projector name='projector_wg6802418_projector_wg6802418'>\n        <texture>stereo_projection_pattern_high_res_red.png</texture>\n        <fov>0.959931</fov>\n        <near_clip>0.100000</near_clip>\n        <far_clip>10.000000</far_clip>\n        <pose>0.023200 0.110000 0.119100 0.000000 -1.570793 0.000000</pose>\n      </projector>\n      <self_collide>0</self_collide>\n      <pose>0.000930 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>5.319000</mass>\n        <pose>-0.005151 -0.014635 0.072819 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.126134</ixx>\n          <ixy>0.000237</ixy>\n          <ixz>0.011881</ixz>\n          <iyy>0.165102</iyy>\n          <iyz>0.001606</iyz>\n          <izz>0.166947</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_tilt_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_ir_link'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_ir_link_visual'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_rgb_link'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_rgb_link_visual'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_link'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_link_visual'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/sensors/kinect_prosilica_v0/115x100_swept_back--coarse.STL</uri>\n            <scale>0.001000 0.001000 0.001000</scale>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_prosilica_link'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_prosilica_link_visual'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_plate_frame'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_plate_frame_visual'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <sensor name='head_mount_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.994838</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.010000</near>\n            <far>5.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sim_pcd_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='high_def_sensor' type='camera'>\n        <update_rate>20.000000</update_rate>\n        <pose>0.069657 -0.110000 0.119100 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>2448</width>\n            <height>2050</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='l_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210551 0.016309 -0.000561 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025306</ixx>\n          <ixy>-0.003393</ixy>\n          <ixz>0.000608</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000200</iyz>\n          <izz>0.086016</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_upper_arm_roll_link_geom_l_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_l_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_forearm_roll_link_geom_l_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_l_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 -1.570800 -0.562869 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='laser_tilt_mount_link'>\n      <self_collide>0</self_collide>\n      <pose>0.048930 0.000000 1.017680 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.592000</mass>\n        <pose>-0.001134 0.001667 -0.007067 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.001296</ixx>\n          <ixy>0.000023</ixy>\n          <ixz>0.000037</ixz>\n          <iyy>0.001086</iyy>\n          <iyz>0.000035</iyz>\n          <izz>0.000895</izz>\n        </inertia>\n      </inertial>\n      <collision name='laser_tilt_mount_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='laser_tilt_mount_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='laser_tilt' type='ray'>\n        <update_rate>40.000000</update_rate>\n        <pose>0.000000 0.000000 0.030000 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-1.396263</min_angle>\n              <max_angle>1.396263</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210482 -0.015945 -0.000197 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025378</ixx>\n          <ixy>0.003757</ixy>\n          <ixz>-0.000709</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000179</iyz>\n          <izz>0.086088</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_upper_arm_roll_link_geom_r_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_r_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_forearm_roll_link_geom_r_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_r_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 1.570800 -0.562869 -0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='torso_lift_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.150000 0.000000 0.751000 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.000000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <joint name='bl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>bl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_l_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_r_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>br_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_l_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_r_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_l_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_r_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fr_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_l_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_r_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_joint' type='prismatic'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.330000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>head_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>2.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.006993</lower>\n          <upper>3.006993</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_tilt_joint' type='revolute'>\n      <parent>head_pan_link</parent>\n      <child>head_tilt_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.471237</lower>\n          <upper>1.396260</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>l_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.714602</lower>\n          <upper>2.285404</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_lift_joint' type='revolute'>\n      <parent>l_shoulder_pan_link</parent>\n      <child>l_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_upper_arm_roll_joint' type='revolute'>\n      <parent>l_shoulder_lift_link</parent>\n      <child>l_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.800000</lower>\n          <upper>3.900008</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_elbow_flex_joint' type='revolute'>\n      <parent>l_upper_arm_roll_link</parent>\n      <child>l_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_forearm_roll_joint' type='revolute'>\n      <parent>l_elbow_flex_link</parent>\n      <child>l_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_flex_joint' type='revolute'>\n      <parent>l_forearm_roll_link</parent>\n      <child>l_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_roll_joint' type='revolute'>\n      <parent>l_wrist_flex_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_l_finger_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_slider_joint' type='prismatic'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_screw_joint' type='revolute'>\n      <parent>l_gripper_motor_slider_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_r_finger_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='laser_tilt_mount_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>laser_tilt_mount_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.008000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.785400</lower>\n          <upper>1.483530</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>r_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.285404</lower>\n          <upper>0.714602</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_lift_joint' type='revolute'>\n      <parent>r_shoulder_pan_link</parent>\n      <child>r_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_upper_arm_roll_joint' type='revolute'>\n      <parent>r_shoulder_lift_link</parent>\n      <child>r_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.900008</lower>\n          <upper>0.800000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_elbow_flex_joint' type='revolute'>\n      <parent>r_upper_arm_roll_link</parent>\n      <child>r_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_forearm_roll_joint' type='revolute'>\n      <parent>r_elbow_flex_link</parent>\n      <child>r_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_flex_joint' type='revolute'>\n      <parent>r_forearm_roll_link</parent>\n      <child>r_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_roll_joint' type='revolute'>\n      <parent>r_wrist_flex_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_l_finger_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_slider_joint' type='prismatic'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_screw_joint' type='revolute'>\n      <parent>r_gripper_motor_slider_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_r_finger_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_motor_screw_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_screw_torso_lift_joint' type='screw'>\n      <parent>torso_lift_link</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_screw_screw_joint' type='screw'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_screw_screw_joint' type='screw'>\n      <parent>r_gripper_l_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_joint' type='prismatic'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_screw_screw_joint' type='screw'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_screw_screw_joint' type='screw'>\n      <parent>l_gripper_l_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_joint' type='prismatic'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n  </model>\n  <physics type='ode'>\n    <update_rate>1000.000000</update_rate>\n    <gravity>0.000000 0.000000 -9.800000</gravity>\n  </physics>\n  <scene>\n    <ambient>0.200000 0.200000 0.200000 1.000000</ambient>\n    <background>0.700000 0.700000 0.700000 1.000000</background>\n    <shadows>1</shadows>\n  </scene>\n  <state world_name='default'>\n    <sim_time>0 0</sim_time>\n    <real_time>0 0</real_time>\n    <wall_time>1360301755 667456998</wall_time>\n  </state>\n</world>\n</sdf>]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 21343973</sim_time>\n<real_time>0 1000000</real_time>\n<wall_time>1360301758 939690376</wall_time>\n<model name='pr2'>\n0.000000 \n</model>\n</sdf></state>\n]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 28958235</sim_time>\n<real_time>0 2000000</real_time>\n<wall_time>1360301758 947304437</wall_time>\n<model name='pr2'>\n0.000000 \n</model>\n</sdf></state>\n]]></chunk>\n</gazebo_log>";

static std::string pr2PoseXYStateLog =
"<?xml version='1.0'?>\n<gazebo_log>\n<header>\n<log_version>1.0</log_version>\n<gazebo_version>1.4.6</gazebo_version>\n<rand_seed>32606</rand_seed>\n</header>\n\n<chunk encoding='txt'><![CDATA[\n<sdf version ='1.3'>\n<world name='default'>\n  <model name='ground_plane'>\n    <static>1</static>\n    <link name='link'>\n      <collision name='collision'>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>100.000000</mu>\n              <mu2>50.000000</mu2>\n            </ode>\n          </friction>\n          <bounce/>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='visual'>\n        <cast_shadows>0</cast_shadows>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <material>\n          <script>\n            <uri>file://media/materials/scripts/gazebo.material</uri>\n            <name>Gazebo/Grey</name>\n          </script>\n        </material>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <self_collide>0</self_collide>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n  </model>\n  <light name='sun' type='directional'>\n    <cast_shadows>1</cast_shadows>\n    <pose>0.000000 0.000000 10.000000 0.000000 0.000000 0.000000</pose>\n    <diffuse>0.800000 0.800000 0.800000 1.000000</diffuse>\n    <specular>0.100000 0.100000 0.100000 1.000000</specular>\n    <attenuation>\n      <range>1000.000000</range>\n      <constant>0.900000</constant>\n      <linear>0.010000</linear>\n      <quadratic>0.001000</quadratic>\n    </attenuation>\n    <direction>-0.500000 0.500000 -1.000000</direction>\n  </light>\n  <model name='pr2'>\n    <static>0</static>\n    <link name='base_footprint'>\n      <self_collide>0</self_collide>\n      <inertial>\n        <mass>118.001000</mass>\n        <pose>-0.062421 0.000000 0.201365 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>8.431730</ixx>\n          <ixy>-0.009720</ixy>\n          <ixz>1.901570</ixz>\n          <iyy>8.533050</iyy>\n          <iyz>-0.007380</iyz>\n          <izz>3.787470</izz>\n        </inertia>\n      </inertial>\n      <collision name='base_footprint_geom'>\n        <pose>0.000000 0.000000 0.071000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_visual'>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_bellow_link'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_bellow_link_visual'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_link'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_link_visual'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='base_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>base_footprint_geom_base_link</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n        <plugin name='gazebo_contact' filename='libContactPlugin.so'/>\n      </sensor>\n      <sensor name='base_laser' type='ray'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>20.000000</update_rate>\n        <pose>0.275000 0.000000 0.303000 0.000000 0.000000 0.000000</pose>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-2.268900</min_angle>\n              <max_angle>2.268900</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n        <plugin name='laser' filename='libRayPlugin.so'/>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='torso_lift_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.050000 0.000000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>36.449000</mass>\n        <pose>-0.099499 -0.000004 -0.086764 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>2.792330</ixx>\n          <ixy>0.004280</ixy>\n          <ixz>-0.160631</ixz>\n          <iyy>2.521060</iyy>\n          <iyz>0.029689</iyz>\n          <izz>0.536551</izz>\n        </inertia>\n      </inertial>\n      <collision name='torso_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='torso_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='torso_lift_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>torso_lift_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_pan_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.067070 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.339000</mass>\n        <pose>0.010907 0.031693 0.090507 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.032498</ixx>\n          <ixy>0.000636</ixy>\n          <ixz>0.002585</ixz>\n          <iyy>0.046546</iyy>\n          <iyz>-0.002453</iyz>\n          <izz>0.057653</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_tilt_link'>\n      <projector name='projector_wg6802418_projector_wg6802418'>\n        <texture>stereo_projection_pattern_high_res_red.png</texture>\n        <fov>0.959931</fov>\n        <near_clip>0.100000</near_clip>\n        <far_clip>10.000000</far_clip>\n        <pose>0.023200 0.110000 0.119100 0.000000 -1.570793 0.000000</pose>\n      </projector>\n      <self_collide>0</self_collide>\n      <pose>0.000930 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>5.319000</mass>\n        <pose>-0.005151 -0.014635 0.072819 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.126134</ixx>\n          <ixy>0.000237</ixy>\n          <ixz>0.011881</ixz>\n          <iyy>0.165102</iyy>\n          <iyz>0.001606</iyz>\n          <izz>0.166947</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_tilt_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_ir_link'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_ir_link_visual'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_rgb_link'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_rgb_link_visual'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_link'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_link_visual'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/sensors/kinect_prosilica_v0/115x100_swept_back--coarse.STL</uri>\n            <scale>0.001000 0.001000 0.001000</scale>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_prosilica_link'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_prosilica_link_visual'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_plate_frame'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_plate_frame_visual'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <sensor name='head_mount_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.994838</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.010000</near>\n            <far>5.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sim_pcd_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='high_def_sensor' type='camera'>\n        <update_rate>20.000000</update_rate>\n        <pose>0.069657 -0.110000 0.119100 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>2448</width>\n            <height>2050</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='l_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210551 0.016309 -0.000561 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025306</ixx>\n          <ixy>-0.003393</ixy>\n          <ixz>0.000608</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000200</iyz>\n          <izz>0.086016</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_upper_arm_roll_link_geom_l_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_l_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_forearm_roll_link_geom_l_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_l_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 -1.570800 -0.562869 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='laser_tilt_mount_link'>\n      <self_collide>0</self_collide>\n      <pose>0.048930 0.000000 1.017680 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.592000</mass>\n        <pose>-0.001134 0.001667 -0.007067 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.001296</ixx>\n          <ixy>0.000023</ixy>\n          <ixz>0.000037</ixz>\n          <iyy>0.001086</iyy>\n          <iyz>0.000035</iyz>\n          <izz>0.000895</izz>\n        </inertia>\n      </inertial>\n      <collision name='laser_tilt_mount_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='laser_tilt_mount_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='laser_tilt' type='ray'>\n        <update_rate>40.000000</update_rate>\n        <pose>0.000000 0.000000 0.030000 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-1.396263</min_angle>\n              <max_angle>1.396263</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210482 -0.015945 -0.000197 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025378</ixx>\n          <ixy>0.003757</ixy>\n          <ixz>-0.000709</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000179</iyz>\n          <izz>0.086088</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_upper_arm_roll_link_geom_r_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_r_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_forearm_roll_link_geom_r_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_r_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 1.570800 -0.562869 -0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='torso_lift_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.150000 0.000000 0.751000 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.000000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <joint name='bl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>bl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_l_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_r_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>br_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_l_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_r_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_l_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_r_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fr_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_l_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_r_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_joint' type='prismatic'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.330000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>head_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>2.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.006993</lower>\n          <upper>3.006993</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_tilt_joint' type='revolute'>\n      <parent>head_pan_link</parent>\n      <child>head_tilt_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.471237</lower>\n          <upper>1.396260</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>l_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.714602</lower>\n          <upper>2.285404</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_lift_joint' type='revolute'>\n      <parent>l_shoulder_pan_link</parent>\n      <child>l_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_upper_arm_roll_joint' type='revolute'>\n      <parent>l_shoulder_lift_link</parent>\n      <child>l_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.800000</lower>\n          <upper>3.900008</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_elbow_flex_joint' type='revolute'>\n      <parent>l_upper_arm_roll_link</parent>\n      <child>l_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_forearm_roll_joint' type='revolute'>\n      <parent>l_elbow_flex_link</parent>\n      <child>l_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_flex_joint' type='revolute'>\n      <parent>l_forearm_roll_link</parent>\n      <child>l_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_roll_joint' type='revolute'>\n      <parent>l_wrist_flex_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_l_finger_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_slider_joint' type='prismatic'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_screw_joint' type='revolute'>\n      <parent>l_gripper_motor_slider_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_r_finger_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='laser_tilt_mount_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>laser_tilt_mount_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.008000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.785400</lower>\n          <upper>1.483530</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>r_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.285404</lower>\n          <upper>0.714602</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_lift_joint' type='revolute'>\n      <parent>r_shoulder_pan_link</parent>\n      <child>r_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_upper_arm_roll_joint' type='revolute'>\n      <parent>r_shoulder_lift_link</parent>\n      <child>r_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.900008</lower>\n          <upper>0.800000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_elbow_flex_joint' type='revolute'>\n      <parent>r_upper_arm_roll_link</parent>\n      <child>r_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_forearm_roll_joint' type='revolute'>\n      <parent>r_elbow_flex_link</parent>\n      <child>r_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_flex_joint' type='revolute'>\n      <parent>r_forearm_roll_link</parent>\n      <child>r_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_roll_joint' type='revolute'>\n      <parent>r_wrist_flex_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_l_finger_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_slider_joint' type='prismatic'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_screw_joint' type='revolute'>\n      <parent>r_gripper_motor_slider_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_r_finger_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_motor_screw_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_screw_torso_lift_joint' type='screw'>\n      <parent>torso_lift_link</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_screw_screw_joint' type='screw'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_screw_screw_joint' type='screw'>\n      <parent>r_gripper_l_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_joint' type='prismatic'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_screw_screw_joint' type='screw'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_screw_screw_joint' type='screw'>\n      <parent>l_gripper_l_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_joint' type='prismatic'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n  </model>\n  <physics type='ode'>\n    <update_rate>1000.000000</update_rate>\n    <gravity>0.000000 0.000000 -9.800000</gravity>\n  </physics>\n  <scene>\n    <ambient>0.200000 0.200000 0.200000 1.000000</ambient>\n    <background>0.700000 0.700000 0.700000 1.000000</background>\n    <shadows>1</shadows>\n  </scene>\n  <state world_name='default'>\n    <sim_time>0 0</sim_time>\n    <real_time>0 0</real_time>\n    <wall_time>1360301755 667456998</wall_time>\n  </state>\n</world>\n</sdf>]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 21343973</sim_time>\n<real_time>0 1000000</real_time>\n<wall_time>1360301758 939690376</wall_time>\n<model name='pr2'>\n0.000000 0.000000 \n</model>\n</sdf></state>\n]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 28958235</sim_time>\n<real_time>0 2000000</real_time>\n<wall_time>1360301758 947304437</wall_time>\n<model name='pr2'>\n0.000000 0.000000 \n</model>\n</sdf></state>\n]]></chunk>\n</gazebo_log>";

static std::string pr2JointStateLog =
"<?xml version='1.0'?>\n<gazebo_log>\n<header>\n<log_version>1.0</log_version>\n<gazebo_version>1.4.6</gazebo_version>\n<rand_seed>32606</rand_seed>\n</header>\n\n<chunk encoding='txt'><![CDATA[\n<sdf version ='1.3'>\n<world name='default'>\n  <model name='ground_plane'>\n    <static>1</static>\n    <link name='link'>\n      <collision name='collision'>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>100.000000</mu>\n              <mu2>50.000000</mu2>\n            </ode>\n          </friction>\n          <bounce/>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='visual'>\n        <cast_shadows>0</cast_shadows>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <material>\n          <script>\n            <uri>file://media/materials/scripts/gazebo.material</uri>\n            <name>Gazebo/Grey</name>\n          </script>\n        </material>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <self_collide>0</self_collide>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n  </model>\n  <light name='sun' type='directional'>\n    <cast_shadows>1</cast_shadows>\n    <pose>0.000000 0.000000 10.000000 0.000000 0.000000 0.000000</pose>\n    <diffuse>0.800000 0.800000 0.800000 1.000000</diffuse>\n    <specular>0.100000 0.100000 0.100000 1.000000</specular>\n    <attenuation>\n      <range>1000.000000</range>\n      <constant>0.900000</constant>\n      <linear>0.010000</linear>\n      <quadratic>0.001000</quadratic>\n    </attenuation>\n    <direction>-0.500000 0.500000 -1.000000</direction>\n  </light>\n  <model name='pr2'>\n    <static>0</static>\n    <link name='base_footprint'>\n      <self_collide>0</self_collide>\n      <inertial>\n        <mass>118.001000</mass>\n        <pose>-0.062421 0.000000 0.201365 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>8.431730</ixx>\n          <ixy>-0.009720</ixy>\n          <ixz>1.901570</ixz>\n          <iyy>8.533050</iyy>\n          <iyz>-0.007380</iyz>\n          <izz>3.787470</izz>\n        </inertia>\n      </inertial>\n      <collision name='base_footprint_geom'>\n        <pose>0.000000 0.000000 0.071000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_visual'>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_bellow_link'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_bellow_link_visual'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_link'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_link_visual'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='base_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>base_footprint_geom_base_link</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n        <plugin name='gazebo_contact' filename='libContactPlugin.so'/>\n      </sensor>\n      <sensor name='base_laser' type='ray'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>20.000000</update_rate>\n        <pose>0.275000 0.000000 0.303000 0.000000 0.000000 0.000000</pose>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-2.268900</min_angle>\n              <max_angle>2.268900</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n        <plugin name='laser' filename='libRayPlugin.so'/>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='torso_lift_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.050000 0.000000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>36.449000</mass>\n        <pose>-0.099499 -0.000004 -0.086764 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>2.792330</ixx>\n          <ixy>0.004280</ixy>\n          <ixz>-0.160631</ixz>\n          <iyy>2.521060</iyy>\n          <iyz>0.029689</iyz>\n          <izz>0.536551</izz>\n        </inertia>\n      </inertial>\n      <collision name='torso_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='torso_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='torso_lift_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>torso_lift_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_pan_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.067070 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.339000</mass>\n        <pose>0.010907 0.031693 0.090507 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.032498</ixx>\n          <ixy>0.000636</ixy>\n          <ixz>0.002585</ixz>\n          <iyy>0.046546</iyy>\n          <iyz>-0.002453</iyz>\n          <izz>0.057653</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_tilt_link'>\n      <projector name='projector_wg6802418_projector_wg6802418'>\n        <texture>stereo_projection_pattern_high_res_red.png</texture>\n        <fov>0.959931</fov>\n        <near_clip>0.100000</near_clip>\n        <far_clip>10.000000</far_clip>\n        <pose>0.023200 0.110000 0.119100 0.000000 -1.570793 0.000000</pose>\n      </projector>\n      <self_collide>0</self_collide>\n      <pose>0.000930 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>5.319000</mass>\n        <pose>-0.005151 -0.014635 0.072819 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.126134</ixx>\n          <ixy>0.000237</ixy>\n          <ixz>0.011881</ixz>\n          <iyy>0.165102</iyy>\n          <iyz>0.001606</iyz>\n          <izz>0.166947</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_tilt_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_ir_link'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_ir_link_visual'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_rgb_link'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_rgb_link_visual'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_link'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_link_visual'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/sensors/kinect_prosilica_v0/115x100_swept_back--coarse.STL</uri>\n            <scale>0.001000 0.001000 0.001000</scale>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_prosilica_link'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_prosilica_link_visual'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_plate_frame'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_plate_frame_visual'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <sensor name='head_mount_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.994838</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.010000</near>\n            <far>5.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sim_pcd_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='high_def_sensor' type='camera'>\n        <update_rate>20.000000</update_rate>\n        <pose>0.069657 -0.110000 0.119100 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>2448</width>\n            <height>2050</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='l_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210551 0.016309 -0.000561 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025306</ixx>\n          <ixy>-0.003393</ixy>\n          <ixz>0.000608</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000200</iyz>\n          <izz>0.086016</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_upper_arm_roll_link_geom_l_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_l_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_forearm_roll_link_geom_l_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_l_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 -1.570800 -0.562869 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='laser_tilt_mount_link'>\n      <self_collide>0</self_collide>\n      <pose>0.048930 0.000000 1.017680 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.592000</mass>\n        <pose>-0.001134 0.001667 -0.007067 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.001296</ixx>\n          <ixy>0.000023</ixy>\n          <ixz>0.000037</ixz>\n          <iyy>0.001086</iyy>\n          <iyz>0.000035</iyz>\n          <izz>0.000895</izz>\n        </inertia>\n      </inertial>\n      <collision name='laser_tilt_mount_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='laser_tilt_mount_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='laser_tilt' type='ray'>\n        <update_rate>40.000000</update_rate>\n        <pose>0.000000 0.000000 0.030000 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-1.396263</min_angle>\n              <max_angle>1.396263</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210482 -0.015945 -0.000197 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025378</ixx>\n          <ixy>0.003757</ixy>\n          <ixz>-0.000709</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000179</iyz>\n          <izz>0.086088</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_upper_arm_roll_link_geom_r_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_r_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_forearm_roll_link_geom_r_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_r_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 1.570800 -0.562869 -0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='torso_lift_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.150000 0.000000 0.751000 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.000000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <joint name='bl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>bl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_l_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_r_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>br_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_l_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_r_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_l_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_r_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fr_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_l_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_r_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_joint' type='prismatic'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.330000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>head_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>2.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.006993</lower>\n          <upper>3.006993</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_tilt_joint' type='revolute'>\n      <parent>head_pan_link</parent>\n      <child>head_tilt_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.471237</lower>\n          <upper>1.396260</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>l_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.714602</lower>\n          <upper>2.285404</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_lift_joint' type='revolute'>\n      <parent>l_shoulder_pan_link</parent>\n      <child>l_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_upper_arm_roll_joint' type='revolute'>\n      <parent>l_shoulder_lift_link</parent>\n      <child>l_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.800000</lower>\n          <upper>3.900008</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_elbow_flex_joint' type='revolute'>\n      <parent>l_upper_arm_roll_link</parent>\n      <child>l_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_forearm_roll_joint' type='revolute'>\n      <parent>l_elbow_flex_link</parent>\n      <child>l_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_flex_joint' type='revolute'>\n      <parent>l_forearm_roll_link</parent>\n      <child>l_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_roll_joint' type='revolute'>\n      <parent>l_wrist_flex_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_l_finger_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_slider_joint' type='prismatic'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_screw_joint' type='revolute'>\n      <parent>l_gripper_motor_slider_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_r_finger_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='laser_tilt_mount_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>laser_tilt_mount_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.008000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.785400</lower>\n          <upper>1.483530</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>r_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.285404</lower>\n          <upper>0.714602</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_lift_joint' type='revolute'>\n      <parent>r_shoulder_pan_link</parent>\n      <child>r_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_upper_arm_roll_joint' type='revolute'>\n      <parent>r_shoulder_lift_link</parent>\n      <child>r_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.900008</lower>\n          <upper>0.800000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_elbow_flex_joint' type='revolute'>\n      <parent>r_upper_arm_roll_link</parent>\n      <child>r_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_forearm_roll_joint' type='revolute'>\n      <parent>r_elbow_flex_link</parent>\n      <child>r_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_flex_joint' type='revolute'>\n      <parent>r_forearm_roll_link</parent>\n      <child>r_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_roll_joint' type='revolute'>\n      <parent>r_wrist_flex_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_l_finger_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_slider_joint' type='prismatic'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_screw_joint' type='revolute'>\n      <parent>r_gripper_motor_slider_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_r_finger_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_motor_screw_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_screw_torso_lift_joint' type='screw'>\n      <parent>torso_lift_link</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_screw_screw_joint' type='screw'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_screw_screw_joint' type='screw'>\n      <parent>r_gripper_l_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_joint' type='prismatic'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_screw_screw_joint' type='screw'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_screw_screw_joint' type='screw'>\n      <parent>l_gripper_l_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_joint' type='prismatic'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n  </model>\n  <physics type='ode'>\n    <update_rate>1000.000000</update_rate>\n    <gravity>0.000000 0.000000 -9.800000</gravity>\n  </physics>\n  <scene>\n    <ambient>0.200000 0.200000 0.200000 1.000000</ambient>\n    <background>0.700000 0.700000 0.700000 1.000000</background>\n    <shadows>1</shadows>\n  </scene>\n  <state world_name='default'>\n    <sim_time>0 0</sim_time>\n    <real_time>0 0</real_time>\n    <wall_time>1360301755 667456998</wall_time>\n  </state>\n</world>\n</sdf>]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 21343973</sim_time>\n<real_time>0 1000000</real_time>\n<wall_time>1360301758 939690376</wall_time>\n<model name='pr2'>\n</model>\n</sdf></state>\n]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 28958235</sim_time>\n<real_time>0 2000000</real_time>\n<wall_time>1360301758 947304437</wall_time>\n<model name='pr2'>\n</model>\n</sdf></state>\n]]></chunk>\n</gazebo_log>";

static std::string pr2StateLog =
"<?xml version='1.0'?>\n<gazebo_log>\n<header>\n<log_version>1.0</log_version>\n<gazebo_version>1.4.6</gazebo_version>\n<rand_seed>32606</rand_seed>\n</header>\n\n<chunk encoding='txt'><![CDATA[\n<sdf version ='1.3'>\n<world name='default'>\n  <model name='ground_plane'>\n    <static>1</static>\n    <link name='link'>\n      <collision name='collision'>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>100.000000</mu>\n              <mu2>50.000000</mu2>\n            </ode>\n          </friction>\n          <bounce/>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='visual'>\n        <cast_shadows>0</cast_shadows>\n        <geometry>\n          <plane>\n            <normal>0.000000 0.000000 1.000000</normal>\n            <size>100.000000 100.000000</size>\n          </plane>\n        </geometry>\n        <material>\n          <script>\n            <uri>file://media/materials/scripts/gazebo.material</uri>\n            <name>Gazebo/Grey</name>\n          </script>\n        </material>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <self_collide>0</self_collide>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n  </model>\n  <light name='sun' type='directional'>\n    <cast_shadows>1</cast_shadows>\n    <pose>0.000000 0.000000 10.000000 0.000000 0.000000 0.000000</pose>\n    <diffuse>0.800000 0.800000 0.800000 1.000000</diffuse>\n    <specular>0.100000 0.100000 0.100000 1.000000</specular>\n    <attenuation>\n      <range>1000.000000</range>\n      <constant>0.900000</constant>\n      <linear>0.010000</linear>\n      <quadratic>0.001000</quadratic>\n    </attenuation>\n    <direction>-0.500000 0.500000 -1.000000</direction>\n  </light>\n  <model name='pr2'>\n    <static>0</static>\n    <link name='base_footprint'>\n      <self_collide>0</self_collide>\n      <inertial>\n        <mass>118.001000</mass>\n        <pose>-0.062421 0.000000 0.201365 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>8.431730</ixx>\n          <ixy>-0.009720</ixy>\n          <ixz>1.901570</ixz>\n          <iyy>8.533050</iyy>\n          <iyz>-0.007380</iyz>\n          <izz>3.787470</izz>\n        </inertia>\n      </inertial>\n      <collision name='base_footprint_geom'>\n        <pose>0.000000 0.000000 0.071000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_visual'>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_bellow_link'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_bellow_link_visual'>\n        <pose>-0.290000 0.000000 0.851000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.050000 0.370000 0.300000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='base_footprint_geom_base_link'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='base_footprint_geom_base_link_visual'>\n        <pose>0.000000 0.000000 0.051000 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/base.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='base_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>base_footprint_geom_base_link</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n        <plugin name='gazebo_contact' filename='libContactPlugin.so'/>\n      </sensor>\n      <sensor name='base_laser' type='ray'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>20.000000</update_rate>\n        <pose>0.275000 0.000000 0.303000 0.000000 0.000000 0.000000</pose>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-2.268900</min_angle>\n              <max_angle>2.268900</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n        <plugin name='laser' filename='libRayPlugin.so'/>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='bl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='bl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='bl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='br_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='br_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='br_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fl_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fl_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fl_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_rotation_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.224600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>3.473080</mass>\n        <pose>0.000000 0.000000 0.070000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_rotation_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_rotation_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/caster.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_l_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.175600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_l_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_l_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='fr_caster_r_wheel_link'>\n      <self_collide>0</self_collide>\n      <pose>0.224600 -0.273600 0.079200 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.440360</mass>\n        <inertia>\n          <ixx>0.012412</ixx>\n          <ixy>-0.000712</ixy>\n          <ixz>0.000503</ixz>\n          <iyy>0.015218</iyy>\n          <iyz>-0.000004</iyz>\n          <izz>0.011764</izz>\n        </inertia>\n      </inertial>\n      <collision name='fr_caster_r_wheel_link_geom'>\n        <pose>0.000000 0.000000 0.000000 1.570800 0.000000 0.000000</pose>\n        <geometry>\n          <cylinder>\n            <radius>0.074792</radius>\n            <length>0.034000</length>\n          </cylinder>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='fr_caster_r_wheel_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/base_v0/wheel.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='torso_lift_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.050000 0.000000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>36.449000</mass>\n        <pose>-0.099499 -0.000004 -0.086764 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>2.792330</ixx>\n          <ixy>0.004280</ixy>\n          <ixz>-0.160631</ixz>\n          <iyy>2.521060</iyy>\n          <iyz>0.029689</iyz>\n          <izz>0.536551</izz>\n        </inertia>\n      </inertial>\n      <collision name='torso_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='torso_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/torso_v0/torso_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='torso_lift_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>torso_lift_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_pan_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.067070 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.339000</mass>\n        <pose>0.010907 0.031693 0.090507 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.032498</ixx>\n          <ixy>0.000636</ixy>\n          <ixz>0.002585</ixz>\n          <iyy>0.046546</iyy>\n          <iyz>-0.002453</iyz>\n          <izz>0.057653</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='head_tilt_link'>\n      <projector name='projector_wg6802418_projector_wg6802418'>\n        <texture>stereo_projection_pattern_high_res_red.png</texture>\n        <fov>0.959931</fov>\n        <near_clip>0.100000</near_clip>\n        <far_clip>10.000000</far_clip>\n        <pose>0.023200 0.110000 0.119100 0.000000 -1.570793 0.000000</pose>\n      </projector>\n      <self_collide>0</self_collide>\n      <pose>0.000930 0.000000 1.172130 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>5.319000</mass>\n        <pose>-0.005151 -0.014635 0.072819 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.126134</ixx>\n          <ixy>0.000237</ixy>\n          <ixz>0.011881</ixz>\n          <iyy>0.165102</iyy>\n          <iyz>0.001606</iyz>\n          <izz>0.166947</izz>\n        </inertia>\n      </inertial>\n      <collision name='head_tilt_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/head_v0/head_tilt.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_ir_link'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_ir_link_visual'>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_kinect_rgb_link'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_kinect_rgb_link_visual'>\n        <pose>-0.147067 0.017500 0.291953 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_link'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_link_visual'>\n        <pose>-0.114800 0.000000 0.155500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/sensors/kinect_prosilica_v0/115x100_swept_back--coarse.STL</uri>\n            <scale>0.001000 0.001000 0.001000</scale>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='head_tilt_link_geom_head_mount_prosilica_link'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000500</radius>\n          </sphere>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_mount_prosilica_link_visual'>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <sphere>\n            <radius>0.000250</radius>\n          </sphere>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <collision name='head_tilt_link_geom_head_plate_frame'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='head_tilt_link_geom_head_plate_frame_visual'>\n        <pose>0.023200 0.000000 0.064500 0.000000 0.000000 0.000000</pose>\n        <geometry>\n          <box>\n            <size>0.010000 0.010000 0.010000</size>\n          </box>\n        </geometry>\n        <material>\n          <script>\n            <uri>__default__</uri>\n            <name>__default__</name>\n          </script>\n        </material>\n      </visual>\n      <sensor name='head_mount_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.147067 0.012500 0.291953 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.994838</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.010000</near>\n            <far>5.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='head_mount_prosilica_link_sim_pcd_sensor' type='camera'>\n        <update_rate>1.000000</update_rate>\n        <pose>-0.161257 0.012500 0.244421 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.120501</horizontal_fov>\n          <image>\n            <width>320</width>\n            <height>240</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='narrow_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>L8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_l_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 0.030000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='wide_stereo_gazebo_r_stereo_camera_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.068200 -0.060000 0.114600 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>BAYER_BGGR8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <sensor name='high_def_sensor' type='camera'>\n        <update_rate>20.000000</update_rate>\n        <pose>0.069657 -0.110000 0.119100 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>0.785398</horizontal_fov>\n          <image>\n            <width>2448</width>\n            <height>2050</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='l_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210551 0.016309 -0.000561 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025306</ixx>\n          <ixy>-0.003393</ixy>\n          <ixz>0.000608</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000200</iyz>\n          <izz>0.086016</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_upper_arm_roll_link_geom_l_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_upper_arm_roll_link_geom_l_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_forearm_roll_link_geom_l_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_forearm_roll_link_geom_l_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 -1.570800 -0.562869 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='l_wrist_roll_link_geom_l_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='l_wrist_roll_link_geom_l_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='l_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='l_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='l_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>l_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='laser_tilt_mount_link'>\n      <self_collide>0</self_collide>\n      <pose>0.048930 0.000000 1.017680 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.592000</mass>\n        <pose>-0.001134 0.001667 -0.007067 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.001296</ixx>\n          <ixy>0.000023</ixy>\n          <ixz>0.000037</ixz>\n          <iyy>0.001086</iyy>\n          <iyz>0.000035</iyz>\n          <izz>0.000895</izz>\n        </inertia>\n      </inertial>\n      <collision name='laser_tilt_mount_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='laser_tilt_mount_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/tilting_laser_v0/tilting_hokuyo.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='laser_tilt' type='ray'>\n        <update_rate>40.000000</update_rate>\n        <pose>0.000000 0.000000 0.030000 0.000000 0.000000 0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <ray>\n          <scan>\n            <horizontal>\n              <samples>640</samples>\n              <resolution>1.000000</resolution>\n              <min_angle>-1.396263</min_angle>\n              <max_angle>1.396263</max_angle>\n            </horizontal>\n          </scan>\n          <range>\n            <min>0.080000</min>\n            <max>10.000000</max>\n            <resolution>0.010000</resolution>\n          </range>\n        </ray>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_shoulder_pan_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>-0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>25.799300</mass>\n        <pose>-0.001201 0.024513 -0.098231 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.866179</ixx>\n          <ixy>-0.060865</ixy>\n          <ixz>-0.121181</ixz>\n          <iyy>0.874217</iyy>\n          <iyz>-0.058866</iyz>\n          <izz>0.273538</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_pan_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_pan_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_pan.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_shoulder_lift_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.749880</mass>\n        <pose>0.021950 -0.026640 -0.031270 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.021056</ixx>\n          <ixy>0.004967</ixy>\n          <ixz>-0.001948</ixz>\n          <iyy>0.021272</iyy>\n          <iyz>0.001104</iyz>\n          <izz>0.019758</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_shoulder_lift_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>0.000000</mu>\n              <mu2>0.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000000000.000000</kp>\n              <kd>10000.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_shoulder_lift_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/shoulder_lift.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_upper_arm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.050000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>6.117690</mass>\n        <pose>0.210482 -0.015945 -0.000197 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.025378</ixx>\n          <ixy>0.003757</ixy>\n          <ixz>-0.000709</ixz>\n          <iyy>0.084737</iyy>\n          <iyz>-0.000179</iyz>\n          <izz>0.086088</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_upper_arm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/shoulder_v0/upper_arm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_upper_arm_roll_link_geom_r_upper_arm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_upper_arm_roll_link_geom_r_upper_arm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/upper_arm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_elbow_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.903270</mass>\n        <pose>0.010140 0.000320 -0.012110 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.003465</ixx>\n          <ixy>0.000041</ixy>\n          <ixz>0.000432</ixz>\n          <iyy>0.004416</iyy>\n          <iyz>-0.000040</iyz>\n          <izz>0.003592</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_elbow_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_elbow_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/elbow_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_forearm_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.450000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>2.689680</mass>\n        <pose>0.180727 -0.000163 -0.008583 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.014668</ixx>\n          <ixy>0.000052</ixy>\n          <ixz>0.000656</ixz>\n          <iyy>0.026279</iyy>\n          <iyz>-0.000013</iyz>\n          <izz>0.027775</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_forearm_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/upper_arm_v0/forearm_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_forearm_roll_link_geom_r_forearm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_forearm_roll_link_geom_r_forearm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/forearm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_forearm_cam_sensor' type='camera'>\n        <update_rate>25.000000</update_rate>\n        <pose>0.135000 0.000000 0.044000 1.570800 -0.562869 -0.000000</pose>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <camera name='__default__'>\n          <horizontal_fov>1.570796</horizontal_fov>\n          <image>\n            <width>640</width>\n            <height>480</height>\n            <format>R8G8B8</format>\n          </image>\n          <clip>\n            <near>0.100000</near>\n            <far>100.000000</far>\n          </clip>\n        </camera>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_flex_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.614020</mass>\n        <pose>-0.001570 0.000000 -0.000750 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000652</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000003</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000645</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_flex_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_flex_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_flex.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_wrist_roll_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.771000 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.681070</mass>\n        <pose>0.056408 0.000451 -0.001014 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.011352</ixx>\n          <ixy>-0.000016</ixy>\n          <ixz>-0.000001</ixz>\n          <iyy>0.011677</iyy>\n          <iyz>-0.000001</iyz>\n          <izz>0.011866</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_wrist_roll_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll_L.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/forearm_v0/wrist_roll.stl</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_motor_accelerometer_link_visual'>\n        <geometry>\n          <box>\n            <size>0.001000 0.001000 0.001000</size>\n          </box>\n        </geometry>\n      </visual>\n      <collision name='r_wrist_roll_link_geom_r_gripper_palm_link'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <bounce/>\n          <friction>\n            <ode/>\n          </friction>\n          <contact>\n            <ode/>\n          </contact>\n        </surface>\n      </collision>\n      <visual name='r_wrist_roll_link_geom_r_gripper_palm_link_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/gripper_palm.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.178000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_l_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.173050 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_l_finger_tip_link_geom'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_l_finger_tip_link_geom_visual'>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_l_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_l_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_slider_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.188000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.010000</mass>\n        <inertia>\n          <ixx>0.000100</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000100</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000100</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.847910 -0.198000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>1000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_finger_tip_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.939280 -0.202950 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.044190</mass>\n        <pose>0.004230 -0.002840 0.000000 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000008</ixx>\n          <ixy>-0.000006</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.000010</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.000015</izz>\n        </inertia>\n      </inertial>\n      <collision name='r_gripper_r_finger_tip_link_geom'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.stl</uri>\n          </mesh>\n        </geometry>\n        <surface>\n          <friction>\n            <ode>\n              <mu>500.000000</mu>\n              <mu2>500.000000</mu2>\n              <slip1>0.000000</slip1>\n              <slip2>0.000000</slip2>\n            </ode>\n          </friction>\n          <contact>\n            <ode>\n              <kp>10000000.000000</kp>\n              <kd>1.000000</kd>\n              <max_vel>100.000000</max_vel>\n              <min_depth>0.000000</min_depth>\n            </ode>\n          </contact>\n          <bounce/>\n        </surface>\n      </collision>\n      <visual name='r_gripper_r_finger_tip_link_geom_visual'>\n        <pose>0.000000 0.000000 0.000000 -3.141590 0.000000 0.000000</pose>\n        <geometry>\n          <mesh>\n            <uri>model://pr2/meshes/gripper_v0/l_finger_tip.dae</uri>\n          </mesh>\n        </geometry>\n      </visual>\n      <sensor name='r_gripper_r_finger_tip_contact_sensor' type='contact'>\n        <update_rate>100.000000</update_rate>\n        <always_on>0</always_on>\n        <visualize>0</visualize>\n        <contact>\n          <collision>r_gripper_r_finger_tip_link_geom</collision>\n          <topic>__default_topic__</topic>\n        </contact>\n      </sensor>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='torso_lift_motor_screw_link'>\n      <self_collide>0</self_collide>\n      <pose>-0.150000 0.000000 0.751000 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>1.000000</mass>\n        <inertia>\n          <ixx>0.001000</ixx>\n          <ixy>0.000000</ixy>\n          <ixz>0.000000</ixz>\n          <iyy>0.001000</iyy>\n          <iyz>0.000000</iyz>\n          <izz>0.001000</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n      <gravity>1</gravity>\n    </link>\n    <link name='r_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>-0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='r_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 -0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>-0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_l_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.219000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.171260</mass>\n        <pose>0.035980 0.017300 -0.001640 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000078</ixx>\n          <ixy>0.000001</ixy>\n          <ixz>0.000010</ixz>\n          <iyy>0.000197</iyy>\n          <iyz>-0.000003</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <link name='l_gripper_r_parallel_link'>\n      <self_collide>0</self_collide>\n      <gravity>0</gravity>\n      <pose>0.829910 0.157000 0.790675 0.000000 0.000000 0.000000</pose>\n      <inertial>\n        <mass>0.173890</mass>\n        <pose>0.035760 -0.017360 -0.000950 0.000000 0.000000 0.000000</pose>\n        <inertia>\n          <ixx>0.000077</ixx>\n          <ixy>-0.000002</ixy>\n          <ixz>0.000008</ixz>\n          <iyy>0.000198</iyy>\n          <iyz>0.000002</iyz>\n          <izz>0.000181</izz>\n        </inertia>\n      </inertial>\n      <velocity_decay>\n        <linear>0.000000</linear>\n        <angular>0.000000</angular>\n      </velocity_decay>\n      <kinematic>0</kinematic>\n    </link>\n    <joint name='bl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>bl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_l_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='bl_caster_r_wheel_joint' type='revolute'>\n      <parent>bl_caster_rotation_link</parent>\n      <child>bl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>br_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_l_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='br_caster_r_wheel_joint' type='revolute'>\n      <parent>br_caster_rotation_link</parent>\n      <child>br_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fl_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_l_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fl_caster_r_wheel_joint' type='revolute'>\n      <parent>fl_caster_rotation_link</parent>\n      <child>fl_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_rotation_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>fr_caster_rotation_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_l_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_l_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='fr_caster_r_wheel_joint' type='revolute'>\n      <parent>fr_caster_rotation_link</parent>\n      <child>fr_caster_r_wheel_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_joint' type='prismatic'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.330000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>head_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>2.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.006993</lower>\n          <upper>3.006993</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='head_tilt_joint' type='revolute'>\n      <parent>head_pan_link</parent>\n      <child>head_tilt_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.471237</lower>\n          <upper>1.396260</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>l_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.714602</lower>\n          <upper>2.285404</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_shoulder_lift_joint' type='revolute'>\n      <parent>l_shoulder_pan_link</parent>\n      <child>l_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_upper_arm_roll_joint' type='revolute'>\n      <parent>l_shoulder_lift_link</parent>\n      <child>l_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.800000</lower>\n          <upper>3.900008</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_elbow_flex_joint' type='revolute'>\n      <parent>l_upper_arm_roll_link</parent>\n      <child>l_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_forearm_roll_joint' type='revolute'>\n      <parent>l_elbow_flex_link</parent>\n      <child>l_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_flex_joint' type='revolute'>\n      <parent>l_forearm_roll_link</parent>\n      <child>l_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_wrist_roll_joint' type='revolute'>\n      <parent>l_wrist_flex_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_l_finger_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_slider_joint' type='prismatic'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_motor_screw_joint' type='revolute'>\n      <parent>l_gripper_motor_slider_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_joint' type='revolute'>\n      <parent>l_wrist_roll_link</parent>\n      <child>l_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>l_gripper_r_finger_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='laser_tilt_mount_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>laser_tilt_mount_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.008000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.785400</lower>\n          <upper>1.483530</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_pan_joint' type='revolute'>\n      <parent>torso_lift_link</parent>\n      <child>r_shoulder_pan_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.285404</lower>\n          <upper>0.714602</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_shoulder_lift_joint' type='revolute'>\n      <parent>r_shoulder_pan_link</parent>\n      <child>r_shoulder_lift_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>10.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.523601</lower>\n          <upper>1.396300</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_upper_arm_roll_joint' type='revolute'>\n      <parent>r_shoulder_lift_link</parent>\n      <child>r_upper_arm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-3.900008</lower>\n          <upper>0.800000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_elbow_flex_joint' type='revolute'>\n      <parent>r_upper_arm_roll_link</parent>\n      <child>r_elbow_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>1.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.321305</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_forearm_roll_joint' type='revolute'>\n      <parent>r_elbow_flex_link</parent>\n      <child>r_forearm_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_flex_joint' type='revolute'>\n      <parent>r_forearm_roll_link</parent>\n      <child>r_wrist_flex_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-2.180004</lower>\n          <upper>0.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_wrist_roll_joint' type='revolute'>\n      <parent>r_wrist_flex_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.100000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_l_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_l_finger_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_slider_joint' type='prismatic'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_motor_slider_link</child>\n      <axis>\n        <xyz>1.000000 0.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-0.100000</lower>\n          <upper>0.100000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_motor_screw_joint' type='revolute'>\n      <parent>r_gripper_motor_slider_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_joint' type='revolute'>\n      <parent>r_wrist_roll_link</parent>\n      <child>r_gripper_r_finger_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.020000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_finger_tip_joint' type='revolute'>\n      <parent>r_gripper_r_finger_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.001000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>0.000000</lower>\n          <upper>0.548000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_motor_screw_joint' type='revolute'>\n      <parent>base_footprint</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000100</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='torso_lift_screw_torso_lift_joint' type='screw'>\n      <parent>torso_lift_link</parent>\n      <child>torso_lift_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_screw_screw_joint' type='screw'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_screw_screw_joint' type='screw'>\n      <parent>r_gripper_l_finger_tip_link</parent>\n      <child>r_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_r_parallel_link</parent>\n      <child>r_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>r_gripper_l_parallel_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='r_gripper_joint' type='prismatic'>\n      <parent>r_gripper_r_finger_tip_link</parent>\n      <child>r_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_screw_screw_joint' type='screw'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>-3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_screw_screw_joint' type='screw'>\n      <parent>l_gripper_l_finger_tip_link</parent>\n      <child>l_gripper_motor_screw_link</child>\n      <thread_pitch>3141.600000</thread_pitch>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_root_joint' type='revolute'>\n      <pose>0.058910 -0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 -1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_root_joint' type='revolute'>\n      <pose>0.058910 0.031000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_wrist_roll_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.200000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_r_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 -0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_r_parallel_link</parent>\n      <child>l_gripper_r_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <dynamics>\n          <damping>0.000000</damping>\n          <friction>0.000000</friction>\n        </dynamics>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_l_parallel_tip_joint' type='revolute'>\n      <pose>-0.018000 0.021000 0.000000 0.000000 0.000000 0.000000</pose>\n      <parent>l_gripper_l_parallel_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 0.000000 1.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n    <joint name='l_gripper_joint' type='prismatic'>\n      <parent>l_gripper_r_finger_tip_link</parent>\n      <child>l_gripper_l_finger_tip_link</child>\n      <axis>\n        <xyz>0.000000 1.000000 0.000000</xyz>\n        <limit>\n          <lower>-10000000000000000.000000</lower>\n          <upper>10000000000000000.000000</upper>\n          <effort>0.000000</effort>\n          <velocity>4.000000</velocity>\n        </limit>\n      </axis>\n    </joint>\n  </model>\n  <physics type='ode'>\n    <update_rate>1000.000000</update_rate>\n    <gravity>0.000000 0.000000 -9.800000</gravity>\n  </physics>\n  <scene>\n    <ambient>0.200000 0.200000 0.200000 1.000000</ambient>\n    <background>0.700000 0.700000 0.700000 1.000000</background>\n    <shadows>1</shadows>\n  </scene>\n  <state world_name='default'>\n    <sim_time>0 0</sim_time>\n    <real_time>0 0</real_time>\n    <wall_time>1360301755 667456998</wall_time>\n  </state>\n</world>\n</sdf>]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 21343973</sim_time>\n<real_time>0 1000000</real_time>\n<wall_time>1360301758 939690376</wall_time>\n<model name='pr2'><pose>0.000000 0.000000 -0.000008 0.000000 0.000000 0.000000</pose><link name='base_footprint'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000124 0.000045 -0.007966 0.000178 -0.000477 -0.000068</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='bl_caster_l_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000199 0.000079 -0.008031 0.000174 0.000008 -0.000007</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='bl_caster_r_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000198 0.000081 -0.008046 0.000182 -0.000009 -0.000007</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='bl_caster_rotation_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000166 0.000067 -0.008024 0.000173 -0.000487 -0.000007</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='br_caster_l_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000171 0.000078 -0.008099 0.000177 0.000008 -0.000004</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='br_caster_r_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000169 0.000076 -0.008117 0.000168 0.000008 -0.000007</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='br_caster_rotation_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000135 0.000067 -0.008105 0.000160 -0.000508 -0.000007</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fl_caster_l_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000200 0.000047 -0.007798 0.000171 0.000008 -0.000007</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fl_caster_r_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000199 0.000047 -0.007812 0.000185 0.000009 -0.000008</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fl_caster_rotation_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000164 0.000034 -0.007804 0.000177 -0.000499 -0.000007</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fr_caster_l_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000172 0.000047 -0.007880 0.000147 0.000007 -0.000008</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fr_caster_r_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000170 0.000048 -0.007893 0.000165 0.000008 -0.000006</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fr_caster_rotation_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000135 0.000033 -0.007880 0.000163 -0.000504 -0.000004</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='head_pan_link'><pose>0.000000 0.000000 0.000001 0.000000 0.000000 0.000000</pose><velocity>-0.000408 -0.000142 -0.006521 0.000269 -0.000537 -0.000027</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='head_tilt_link'><pose>0.000000 0.000000 0.000001 0.000000 0.000001 0.000000</pose><velocity>-0.000355 -0.000141 -0.006499 0.000235 0.000285 -0.000006</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_elbow_flex_link'><pose>0.000000 0.000000 0.000006 0.000010 -0.000010 0.000000</pose><velocity>-0.000041 0.000073 -0.001117 0.010487 -0.010393 0.000104</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_forearm_roll_link'><pose>0.000000 0.000000 0.000006 0.000000 -0.000010 0.000000</pose><velocity>-0.000056 -0.000035 0.000636 0.000103 -0.010853 0.000103</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_l_finger_link'><pose>0.000000 0.000000 0.000009 0.000000 0.000004 0.000000</pose><velocity>-0.000211 -0.000004 0.001672 0.000112 0.003367 0.000391</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_l_finger_tip_link'><pose>0.000000 0.000000 0.000009 -0.000001 0.000003 0.000001</pose><velocity>-0.000205 0.000004 0.001475 -0.000525 0.002883 0.000777</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_l_parallel_link'><pose>0.000000 0.000000 0.000009 0.000000 0.000004 0.000001</pose><velocity>-0.000211 -0.000007 0.001734 -0.000121 0.003723 0.000500</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_motor_screw_link'><pose>0.000000 0.000000 0.000009 0.000000 0.000001 0.000000</pose><velocity>-0.000198 0.000003 0.001530 -0.000019 0.000446 0.000102</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_motor_slider_link'><pose>0.000000 0.000000 0.000009 0.000000 0.000004 0.000000</pose><velocity>-0.000217 0.000002 0.001502 -0.000027 0.003252 0.000126</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_r_finger_link'><pose>0.000000 0.000000 0.000009 0.000000 0.000005 0.000000</pose><velocity>-0.000195 -0.000005 0.001689 0.000528 0.004075 0.000231</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_r_finger_tip_link'><pose>0.000000 0.000000 0.000009 -0.000000 0.000003 0.000001</pose><velocity>-0.000196 -0.000007 0.001461 -0.000277 0.002914 0.000838</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_r_parallel_link'><pose>0.000000 0.000000 0.000009 0.000001 0.000005 0.000000</pose><velocity>-0.000186 -0.000003 0.001741 0.000700 0.004127 -0.000169</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_shoulder_lift_link'><pose>0.000000 0.000000 0.000001 0.000000 -0.000013 0.000000</pose><velocity>0.000232 -0.000055 -0.006142 0.000164 -0.012994 -0.000011</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_shoulder_pan_link'><pose>0.000000 0.000000 0.000001 0.000000 0.000000 0.000000</pose><velocity>-0.000105 -0.000043 -0.006514 0.000204 -0.000547 0.000021</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_upper_arm_roll_link'><pose>0.000000 0.000000 0.000001 0.000010 -0.000013 0.000000</pose><velocity>-0.000166 -0.000047 -0.003496 0.010584 -0.013020 0.000021</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_wrist_flex_link'><pose>0.000000 0.000000 0.000010 0.000000 -0.000016 0.000000</pose><velocity>-0.000188 -0.000021 0.002071 0.000102 -0.016789 0.000095</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_wrist_roll_link'><pose>0.000000 0.000000 0.000010 0.000000 0.000004 0.000000</pose><velocity>-0.000207 -0.000012 0.001890 -0.000006 0.003301 0.000134</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='laser_tilt_mount_link'><pose>0.000000 0.000000 0.000001 0.000000 -0.000003 0.000000</pose><velocity>-0.000251 -0.000097 -0.006470 0.000167 -0.003028 -0.000026</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_elbow_flex_link'><pose>0.000000 0.000000 0.000007 -0.000010 -0.000009 -0.000000</pose><velocity>-0.000010 -0.000128 -0.001074 -0.010150 -0.009811 0.000068</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_forearm_roll_link'><pose>0.000000 0.000000 0.000006 0.000000 -0.000010 0.000000</pose><velocity>-0.000077 0.000010 0.000654 0.000037 -0.010973 0.000103</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_l_finger_link'><pose>0.000000 0.000000 0.000009 -0.000001 0.000005 0.000000</pose><velocity>-0.000157 0.000023 0.001601 -0.000388 0.004576 -0.000012</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_l_finger_tip_link'><pose>0.000000 0.000000 0.000009 0.000000 0.000005 0.000000</pose><velocity>-0.000144 0.000032 0.001325 0.000280 0.004739 0.000044</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_l_parallel_link'><pose>0.000000 0.000000 0.000009 -0.000001 0.000005 0.000000</pose><velocity>-0.000164 0.000028 0.001671 -0.000599 0.004494 -0.000162</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_motor_screw_link'><pose>0.000000 0.000000 0.000009 0.000000 0.000001 0.000000</pose><velocity>-0.000141 0.000022 0.001340 -0.000003 0.000509 0.000055</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_motor_slider_link'><pose>0.000000 0.000000 0.000009 0.000000 0.000005 0.000000</pose><velocity>-0.000146 0.000021 0.001405 -0.000027 0.004035 0.000020</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_r_finger_link'><pose>0.000000 0.000000 0.000009 0.000001 0.000006 0.000000</pose><velocity>-0.000144 0.000024 0.001637 0.001538 0.005243 0.000076</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_r_finger_tip_link'><pose>0.000000 0.000000 0.000009 0.000000 0.000006 0.000000</pose><velocity>-0.000142 0.000025 0.001314 0.000541 0.005139 -0.000003</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_r_parallel_link'><pose>0.000000 0.000000 0.000009 0.000000 0.000005 0.000000</pose><velocity>-0.000143 0.000020 0.001670 0.000480 0.004431 -0.000033</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_shoulder_lift_link'><pose>0.000000 0.000000 0.000001 0.000000 -0.000013 0.000000</pose><velocity>0.000247 -0.000040 -0.006179 0.000157 -0.013296 0.000132</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_shoulder_pan_link'><pose>0.000000 0.000000 0.000001 0.000000 0.000000 0.000000</pose><velocity>-0.000131 -0.000042 -0.006546 0.000175 -0.000491 0.000113</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_upper_arm_roll_link'><pose>0.000000 0.000000 0.000001 -0.000010 -0.000013 0.000000</pose><velocity>-0.000172 -0.000028 -0.003538 -0.010076 -0.013338 0.000097</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_wrist_flex_link'><pose>0.000000 0.000000 0.000010 0.000000 0.000011 0.000000</pose><velocity>-0.000161 0.000021 0.002104 0.000036 0.010048 -0.000014</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_wrist_roll_link'><pose>0.000000 0.000000 0.000010 0.000000 0.000004 0.000000</pose><velocity>-0.000155 0.000024 0.001899 -0.000007 0.003910 0.000019</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='torso_lift_link'><pose>0.000000 0.000000 0.000001 0.000000 0.000000 0.000000</pose><velocity>-0.000125 -0.000039 -0.006598 0.000257 -0.000557 -0.000050</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='torso_lift_motor_screw_link'><pose>0.000000 0.000000 -0.000001 -0.000001 0.000000 0.000079</pose><velocity>-0.000153 -0.000064 -0.008583 -0.000379 -0.000480 0.079281</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link></model></sdf></state>\n]]></chunk>\n<chunk encoding='txt'><![CDATA[\n<sdf version='1.4'>\n<state world_name='default'>\n<sim_time>0 28958235</sim_time>\n<real_time>0 2000000</real_time>\n<wall_time>1360301758 947304437</wall_time>\n<model name='pr2'><pose>0.000000 0.000000 -0.000015 0.000000 -0.000001 0.000000</pose><link name='base_footprint'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000116 0.000046 -0.007403 0.000204 -0.000505 -0.000055</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='bl_caster_l_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000001 0.000000</pose><velocity>0.000197 0.000083 -0.007405 0.000194 0.000009 -0.000002</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='bl_caster_r_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000001 0.000000</pose><velocity>0.000195 0.000081 -0.007462 0.000167 -0.000008 -0.000010</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='bl_caster_rotation_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000153 0.000069 -0.007439 0.000138 -0.000505 -0.000006</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='br_caster_l_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000001 0.000000</pose><velocity>0.000165 0.000088 -0.007513 0.000227 0.000011 -0.000013</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='br_caster_r_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000001 0.000000</pose><velocity>0.000166 0.000086 -0.007535 0.000192 0.000009 -0.000008</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='br_caster_rotation_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000126 0.000067 -0.007533 0.000261 -0.000482 -0.000010</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fl_caster_l_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000001 0.000000</pose><velocity>0.000196 0.000060 -0.007220 0.000163 0.000008 -0.000007</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fl_caster_r_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000001 0.000000</pose><velocity>0.000195 0.000055 -0.007239 0.000141 0.000007 -0.000006</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fl_caster_rotation_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000156 0.000045 -0.007216 0.000239 -0.000482 -0.000009</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fr_caster_l_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000001 0.000000</pose><velocity>0.000165 0.000057 -0.007290 0.000235 0.000011 -0.000006</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fr_caster_r_wheel_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000001 0.000000</pose><velocity>0.000165 0.000057 -0.007331 0.000186 0.000009 -0.000010</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='fr_caster_rotation_link'><pose>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</pose><velocity>0.000127 0.000047 -0.007314 0.000149 -0.000489 -0.000009</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='head_pan_link'><pose>0.000000 0.000000 0.000002 0.000000 0.000000 0.000000</pose><velocity>-0.000412 -0.000157 -0.007230 0.000037 -0.000510 0.000048</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='head_tilt_link'><pose>0.000000 0.000000 0.000002 0.000000 0.000002 0.000000</pose><velocity>-0.000316 -0.000148 -0.007178 0.000054 0.000261 -0.000017</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_elbow_flex_link'><pose>0.000000 0.000000 0.000012 0.000023 -0.000023 0.000000</pose><velocity>0.000015 0.000090 -0.001495 0.012455 -0.013886 0.000230</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_forearm_roll_link'><pose>0.000000 0.000000 0.000012 0.000000 -0.000024 0.000000</pose><velocity>-0.000041 -0.000036 0.000995 0.000195 -0.013748 0.000049</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_l_finger_link'><pose>0.000000 0.000000 0.000018 -0.000001 0.000019 0.000000</pose><velocity>-0.000137 -0.000022 0.001392 -0.000618 0.014293 -0.000139</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_l_finger_tip_link'><pose>0.000000 0.000000 0.000016 0.000000 0.000018 0.000000</pose><velocity>-0.000109 -0.000013 0.000532 0.000646 0.014604 -0.000656</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_l_parallel_link'><pose>0.000000 0.000000 0.000018 -0.000001 0.000018 -0.000000</pose><velocity>-0.000146 -0.000021 0.001652 -0.000197 0.013567 -0.000258</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_motor_slider_link'><pose>0.000000 0.000000 0.000016 0.000000 0.000018 0.000000</pose><velocity>-0.000092 -0.000006 0.000625 0.000045 0.014263 0.000110</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_r_finger_link'><pose>0.000000 0.000000 0.000018 -0.000001 0.000018 -0.000000</pose><velocity>-0.000132 -0.000024 0.001376 -0.000792 0.013210 -0.000136</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_r_finger_tip_link'><pose>0.000000 0.000000 0.000016 0.000000 0.000019 0.000000</pose><velocity>-0.000111 -0.000006 0.000560 0.000694 0.015000 -0.000728</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_gripper_r_parallel_link'><pose>0.000000 0.000000 0.000018 -0.000001 0.000019 0.000000</pose><velocity>-0.000135 -0.000029 0.001649 -0.000872 0.013488 0.000434</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_shoulder_lift_link'><pose>0.000000 0.000000 0.000002 0.000000 -0.000025 0.000000</pose><velocity>0.000195 -0.000057 -0.006877 0.000177 -0.013480 0.000080</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_shoulder_pan_link'><pose>0.000000 0.000000 0.000002 0.000000 0.000000 0.000000</pose><velocity>-0.000112 -0.000049 -0.007149 0.000173 -0.000543 0.000015</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_upper_arm_roll_link'><pose>0.000000 0.000000 0.000002 0.000023 -0.000026 0.000000</pose><velocity>-0.000182 -0.000095 -0.004053 0.012333 -0.013693 0.000180</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_wrist_flex_link'><pose>0.000000 0.000000 0.000020 0.000000 0.000023 0.000000</pose><velocity>-0.000086 -0.000033 0.003007 0.000194 0.038352 0.000013</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='l_wrist_roll_link'><pose>0.000000 0.000000 0.000020 0.000000 0.000018 0.000000</pose><velocity>-0.000126 -0.000028 0.002169 0.000002 0.014212 0.000098</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='laser_tilt_mount_link'><pose>0.000000 0.000000 0.000002 0.000000 -0.000005 0.000000</pose><velocity>-0.000297 -0.000116 -0.007252 0.000219 -0.002617 -0.000079</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_elbow_flex_link'><pose>0.000000 0.000000 0.000012 -0.000023 -0.000021 0.000000</pose><velocity>-0.000089 -0.000137 -0.001615 -0.012091 -0.012612 0.000015</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_forearm_roll_link'><pose>0.000000 0.000000 0.000012 0.000000 -0.000023 0.000000</pose><velocity>-0.000069 0.000015 0.000538 -0.000033 -0.012990 0.000078</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_l_finger_link'><pose>0.000000 0.000000 0.000019 0.000000 0.000002 0.000001</pose><velocity>-0.000240 0.000042 0.002724 0.000605 -0.003930 0.000412</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_l_finger_tip_link'><pose>0.000000 0.000000 0.000019 0.000000 0.000003 0.000000</pose><velocity>-0.000248 0.000029 0.002980 -0.000071 -0.003186 0.000067</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_l_parallel_link'><pose>0.000000 0.000000 0.000019 0.000000 0.000001 0.000000</pose><velocity>-0.000238 0.000031 0.002651 0.000555 -0.004326 0.000028</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_motor_screw_link'><pose>0.000000 0.000000 0.000019 0.000000 0.000002 0.000000</pose><velocity>-0.000238 0.000046 0.002944 -0.000043 0.000804 0.000132</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_motor_slider_link'><pose>0.000000 0.000000 0.000019 0.000000 0.000001 0.000000</pose><velocity>-0.000244 0.000055 0.002912 -0.000005 -0.003571 0.000126</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_r_finger_link'><pose>0.000000 0.000000 0.000019 0.000000 0.000002 0.000000</pose><velocity>-0.000247 0.000037 0.002672 -0.000894 -0.004483 -0.000188</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_r_finger_tip_link'><pose>0.000000 0.000000 0.000019 -0.000002 0.000002 -0.000000</pose><velocity>-0.000249 0.000030 0.002969 -0.001725 -0.004043 0.000137</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_gripper_r_parallel_link'><pose>0.000000 0.000000 0.000019 -0.000001 0.000001 0.000000</pose><velocity>-0.000242 0.000040 0.002661 -0.001241 -0.004413 -0.000078</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_shoulder_lift_link'><pose>0.000000 0.000000 0.000002 0.000000 -0.000026 0.000000</pose><velocity>0.000168 -0.000055 -0.006943 0.000010 -0.013582 0.000028</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_shoulder_pan_link'><pose>0.000000 0.000000 0.000002 0.000000 0.000000 0.000000</pose><velocity>-0.000142 -0.000045 -0.007275 0.000228 -0.000590 0.000097</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_upper_arm_roll_link'><pose>0.000000 0.000000 0.000002 -0.000022 -0.000026 0.000000</pose><velocity>-0.000213 0.000012 -0.004147 -0.012020 -0.013480 -0.000002</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_wrist_flex_link'><pose>0.000000 0.000000 0.000019 0.000000 -0.000037 0.000000</pose><velocity>-0.000213 0.000029 0.002283 -0.000034 -0.048363 0.000245</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='r_wrist_roll_link'><pose>0.000000 0.000000 0.000019 0.000000 0.000001 0.000000</pose><velocity>-0.000241 0.000033 0.002408 -0.000033 -0.004285 0.000125</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='torso_lift_link'><pose>0.000000 0.000000 0.000002 0.000000 0.000000 0.000000</pose><velocity>-0.000126 -0.000044 -0.007240 0.000118 -0.000415 -0.000075</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link><link name='torso_lift_motor_screw_link'><pose>0.000000 0.000000 -0.000001 0.000000 0.000000 0.000183</pose><velocity>-0.000151 -0.000013 -0.007513 0.000745 -0.000663 0.103921</velocity><acceleration>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</acceleration><wrench>0.000000 0.000000 0.000000 0.000000 0.000000 0.000000</wrench></link></model></sdf></state>\n]]></chunk>\n</gazebo_log>";

#endif
